{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "util",
                "merge"
            ],
            "doc": "merge sorted bam files. If input bam files are in the order of coordinate, and no overlap, mergemode 10 can be used",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1
                }
            ],
            "inputs": [
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "position": 100
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#bam-merge.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 10,
                    "inputBinding": {
                        "prefix": "--mergemode",
                        "position": 10
                    },
                    "id": "#bam-merge.cwl/mergemode"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o",
                        "position": 50
                    },
                    "id": "#bam-merge.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#bam-merge.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#bam-merge.cwl/threads"
                }
            ],
            "stderr": "bam-merge.log",
            "id": "#bam-merge.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#bam-merge.cwl/log",
                    "outputBinding": {
                        "glob": "bam-merge.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#bam-merge.cwl/output"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "driver"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#bqsr.cwl/advanced_options"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--after"
                    },
                    "id": "#bqsr.cwl/after"
                },
                {
                    "type": "string",
                    "default": "QualCal",
                    "inputBinding": {
                        "position": 100,
                        "prefix": "--algo"
                    },
                    "id": "#bqsr.cwl/algo"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--before"
                    },
                    "id": "#bqsr.cwl/before"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-i"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#bqsr.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--interval",
                        "position": 10
                    },
                    "id": "#bqsr.cwl/interval"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-k"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#bqsr.cwl/known_sites"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--merge"
                    },
                    "id": "#bqsr.cwl/merge"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--qcal"
                    },
                    "id": "#bqsr.cwl/other_qcal"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 150
                    },
                    "id": "#bqsr.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "position": 180
                    },
                    "id": "#bqsr.cwl/part_output"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--plot"
                    },
                    "id": "#bqsr.cwl/plot"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-q"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "id": "#bqsr.cwl/qcal"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#bqsr.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--shard",
                        "position": 10
                    },
                    "id": "#bqsr.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#bqsr.cwl/threads"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#bqsr.cwl/log",
                    "outputBinding": {
                        "glob": "bqsr.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "id": "#bqsr.cwl/output"
                }
            ],
            "stderr": "bqsr.log",
            "id": "#bqsr.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "driver"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#dedup.cwl/advanced_options"
                },
                {
                    "type": "string",
                    "default": "Dedup",
                    "inputBinding": {
                        "position": 100,
                        "prefix": "--algo"
                    },
                    "id": "#dedup.cwl/algo"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--bam_compression",
                        "position": 110
                    },
                    "id": "#dedup.cwl/bam_compression"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "--dup_read_name"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#dedup.cwl/dup_read_name"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-i"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#dedup.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--interval",
                        "position": 10
                    },
                    "id": "#dedup.cwl/interval"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "inputBinding": {
                        "prefix": "--merge",
                        "position": 110
                    },
                    "id": "#dedup.cwl/merge"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--metrics",
                        "position": 110
                    },
                    "id": "#dedup.cwl/metrics"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--optical_dup_pix_dist",
                        "position": 110
                    },
                    "id": "#dedup.cwl/optical_dup_pix_dist"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "inputBinding": {
                        "prefix": "--output_dup_read_name",
                        "position": 110
                    },
                    "id": "#dedup.cwl/output_dup_read_name"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 150
                    },
                    "id": "#dedup.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "position": 180
                    },
                    "id": "#dedup.cwl/part_metrics"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#dedup.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "--rmdup",
                        "position": 110
                    },
                    "id": "#dedup.cwl/rmdup"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "--score_info"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#dedup.cwl/score_info"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--shard",
                        "position": 10
                    },
                    "id": "#dedup.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#dedup.cwl/threads"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--traverse_param",
                        "position": 10
                    },
                    "id": "#dedup.cwl/traverse_param"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#dedup.cwl/log",
                    "outputBinding": {
                        "glob": "dedup.log"
                    }
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.metrics)"
                    },
                    "id": "#dedup.cwl/metrics_output"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "secondaryFiles": ".bai",
                    "id": "#dedup.cwl/output"
                }
            ],
            "stderr": "dedup.log",
            "id": "#dedup.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "driver"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#dedup_pre.cwl/advanced_options"
                },
                {
                    "type": "string",
                    "default": "LocusCollector",
                    "inputBinding": {
                        "position": 100,
                        "prefix": "--algo"
                    },
                    "id": "#dedup_pre.cwl/algo"
                },
                {
                    "type": "string",
                    "default": "score_info",
                    "inputBinding": {
                        "prefix": "--fun",
                        "position": 110
                    },
                    "id": "#dedup_pre.cwl/fun"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-i"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#dedup_pre.cwl/input_bam"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 150
                    },
                    "id": "#dedup_pre.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#dedup_pre.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--shard",
                        "position": 10
                    },
                    "id": "#dedup_pre.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#dedup_pre.cwl/threads"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--traverse_param",
                        "position": 10
                    },
                    "id": "#dedup_pre.cwl/traverse_param"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#dedup_pre.cwl/log",
                    "outputBinding": {
                        "glob": "dedup_pre.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "secondaryFiles": ".tbi",
                    "id": "#dedup_pre.cwl/output"
                }
            ],
            "stderr": "dedup_pre.log",
            "id": "#dedup_pre.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "driver"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#hc.cwl/advanced_options"
                },
                {
                    "type": "string",
                    "default": "Haplotyper",
                    "inputBinding": {
                        "position": 100,
                        "prefix": "--algo"
                    },
                    "id": "#hc.cwl/algo"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "--annotation",
                        "position": 110
                    },
                    "id": "#hc.cwl/annotation"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--call_conf",
                        "position": 110
                    },
                    "id": "#hc.cwl/call_conf"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-d",
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#hc.cwl/dbsnp"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--emit_conf",
                        "position": 110
                    },
                    "id": "#hc.cwl/emit_conf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--emit_mode",
                        "position": 110
                    },
                    "id": "#hc.cwl/emit_mode"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-d",
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#hc.cwl/given"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--gq_bands",
                        "position": 110
                    },
                    "id": "#hc.cwl/gq_bands"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-i"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#hc.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--interval",
                        "position": 10
                    },
                    "id": "#hc.cwl/interval"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--merge",
                        "position": 110
                    },
                    "id": "#hc.cwl/merge"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--min_base_qual",
                        "position": 110
                    },
                    "id": "#hc.cwl/min_base_qual"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 150
                    },
                    "id": "#hc.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "position": 180
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#hc.cwl/part_output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--pcr_indel_model",
                        "position": 110
                    },
                    "id": "#hc.cwl/pcr_indel_model"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--phasing",
                        "position": 110
                    },
                    "id": "#hc.cwl/phasing"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--ploidy",
                        "position": 110
                    },
                    "id": "#hc.cwl/ploidy"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--prune_factor",
                        "position": 110
                    },
                    "id": "#hc.cwl/prune_factor"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-q"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "id": "#hc.cwl/qcal"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#hc.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--shard",
                        "position": 10
                    },
                    "id": "#hc.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#hc.cwl/threads"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--traverse_param",
                        "position": 10
                    },
                    "id": "#hc.cwl/traverse_param"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--trim_soft_clip",
                        "position": 110
                    },
                    "id": "#hc.cwl/trim_soft_clip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#hc.cwl/log",
                    "outputBinding": {
                        "glob": "hc.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#hc.cwl/output"
                }
            ],
            "stderr": "hc.log",
            "id": "#hc.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "plot"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#plot.cwl/fun"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "gc="
                    },
                    "id": "#plot.cwl/gc"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 20
                    },
                    "id": "#plot.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "isize="
                    },
                    "id": "#plot.cwl/isize"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "min_fp_rate="
                    },
                    "id": "#plot.cwl/min_fp_rate"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "mq="
                    },
                    "id": "#plot.cwl/mq"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-o"
                    },
                    "id": "#plot.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "point_size="
                    },
                    "id": "#plot.cwl/point_size"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "qd="
                    },
                    "id": "#plot.cwl/qd"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "target_titv="
                    },
                    "id": "#plot.cwl/target_titv"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 50,
                        "separate": false,
                        "prefix": "tranches_file="
                    },
                    "id": "#plot.cwl/tranches_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#plot.cwl/log",
                    "outputBinding": {
                        "glob": "plot.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "id": "#plot.cwl/output"
                }
            ],
            "stderr": "plot.log",
            "id": "#plot.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "driver"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#realign.cwl/advanced_options"
                },
                {
                    "type": "string",
                    "default": "Realigner",
                    "inputBinding": {
                        "position": 100,
                        "prefix": "--algo"
                    },
                    "id": "#realign.cwl/algo"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-i"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#realign.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--interval_list"
                    },
                    "id": "#realign.cwl/interval_list"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-k"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#realign.cwl/known_sites"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 150
                    },
                    "id": "#realign.cwl/output_file"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#realign.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--shard",
                        "position": 10
                    },
                    "id": "#realign.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#realign.cwl/threads"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--traverse_param",
                        "position": 10
                    },
                    "id": "#realign.cwl/traverse_param"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#realign.cwl/log",
                    "outputBinding": {
                        "glob": "realign.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "secondaryFiles": ".bai",
                    "id": "#realign.cwl/output"
                }
            ],
            "stderr": "realign.log",
            "id": "#realign.cwl"
        },
        {
            "class": "Workflow",
            "doc": "DNAseq pipeline from bam to vcf in distributed mode",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/bqsr_known_sites"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/dbsnp"
                },
                {
                    "type": "string",
                    "id": "#main/dedup_metrics_output_file"
                },
                {
                    "type": "string",
                    "id": "#main/dedup_output_bam"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#main/input_bam"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/interval"
                },
                {
                    "type": "string",
                    "id": "#main/output_file"
                },
                {
                    "type": "string",
                    "id": "#main/qcal_output_file"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/realign_known_sites"
                },
                {
                    "type": "string",
                    "id": "#main/realign_output_bam"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#main/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/threads"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/dedup/metrics_output",
                    "id": "#main/dedup_metric_output"
                },
                {
                    "type": "File",
                    "outputSource": "#main/dedup/output",
                    "id": "#main/dedup_output"
                },
                {
                    "type": "File",
                    "outputSource": "#main/hc/output",
                    "id": "#main/output"
                },
                {
                    "type": "File",
                    "outputSource": "#main/bqsr/qcal_output",
                    "id": "#main/qcal_output"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/bqsr/plot_output",
                    "id": "#main/qcal_plot_output"
                },
                {
                    "type": "File",
                    "outputSource": "#main/realign/output",
                    "id": "#main/realign_output"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#main/realign/output",
                            "valueFrom": "${ return [ self ]; }",
                            "id": "#main/bqsr/input_bam"
                        },
                        {
                            "source": "#main/interval",
                            "id": "#main/bqsr/interval"
                        },
                        {
                            "source": "#main/bqsr_known_sites",
                            "id": "#main/bqsr/known_sites"
                        },
                        {
                            "source": "#main/qcal_output_file",
                            "id": "#main/bqsr/output_file"
                        },
                        {
                            "source": "#main/qcal_output_file",
                            "valueFrom": "${ return self + \".csv\"; }",
                            "id": "#main/bqsr/plot_output_csv_file"
                        },
                        {
                            "source": "#main/qcal_output_file",
                            "valueFrom": "${ return self + \".pdf\"; }",
                            "id": "#main/bqsr/plot_output_file"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/bqsr/reference"
                        },
                        {
                            "source": "#main/shard",
                            "id": "#main/bqsr/shard"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/bqsr/threads"
                        }
                    ],
                    "out": [
                        "#main/bqsr/qcal_output",
                        "#main/bqsr/plot_output"
                    ],
                    "run": "#bqsr-flow-distr.cwl",
                    "id": "#main/bqsr"
                },
                {
                    "in": [
                        {
                            "source": "#main/input_bam",
                            "id": "#main/dedup/input_bam"
                        },
                        {
                            "source": "#main/interval",
                            "id": "#main/dedup/interval"
                        },
                        {
                            "source": "#main/dedup_metrics_output_file",
                            "id": "#main/dedup/metrics_output_file"
                        },
                        {
                            "source": "#main/dedup_output_bam",
                            "id": "#main/dedup/output_file"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/dedup/reference"
                        },
                        {
                            "source": "#main/shard",
                            "id": "#main/dedup/shard"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/dedup/threads"
                        }
                    ],
                    "out": [
                        "#main/dedup/output",
                        "#main/dedup/metrics_output"
                    ],
                    "run": "#dedup-2-pass-distr.cwl",
                    "id": "#main/dedup"
                },
                {
                    "in": [
                        {
                            "source": "#main/dbsnp",
                            "id": "#main/hc/dbsnp"
                        },
                        {
                            "source": "#main/realign/output",
                            "valueFrom": "${ return [ self ]; }",
                            "id": "#main/hc/input_bam"
                        },
                        {
                            "source": "#main/interval",
                            "id": "#main/hc/interval"
                        },
                        {
                            "source": "#main/output_file",
                            "id": "#main/hc/output_file"
                        },
                        {
                            "source": "#main/bqsr/qcal_output",
                            "valueFrom": "${ return [ self ]; }",
                            "id": "#main/hc/qcal"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/hc/reference"
                        },
                        {
                            "source": "#main/shard",
                            "id": "#main/hc/shard"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/hc/threads"
                        }
                    ],
                    "out": [
                        "#main/hc/output"
                    ],
                    "run": "#hc-distr.cwl",
                    "id": "#main/hc"
                },
                {
                    "in": [
                        {
                            "source": "#main/dedup/output",
                            "valueFrom": "${ return [ self ]; }",
                            "id": "#main/realign/input_bam"
                        },
                        {
                            "source": "#main/interval",
                            "id": "#main/realign/interval_list"
                        },
                        {
                            "source": "#main/realign_known_sites",
                            "id": "#main/realign/known_sites"
                        },
                        {
                            "source": "#main/realign_output_bam",
                            "id": "#main/realign/output_file"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/realign/reference"
                        },
                        {
                            "source": "#main/shard",
                            "id": "#main/realign/shard"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/realign/threads"
                        }
                    ],
                    "out": [
                        "#main/realign/output"
                    ],
                    "run": "#realign-distr.cwl",
                    "id": "#main/realign"
                }
            ],
            "id": "#main"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#bqsr-distr.cwl/advanced_options"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#bqsr-distr.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "id": "#bqsr-distr.cwl/interval"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#bqsr-distr.cwl/known_sites"
                },
                {
                    "type": "string",
                    "id": "#bqsr-distr.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "id": "#bqsr-distr.cwl/qcal"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#bqsr-distr.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#bqsr-distr.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#bqsr-distr.cwl/threads"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#bqsr-distr.cwl/merge/output",
                    "id": "#bqsr-distr.cwl/output"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "default": ".table",
                            "id": "#bqsr-distr.cwl/bqsr/_ext"
                        },
                        {
                            "source": "#bqsr-distr.cwl/output_file",
                            "id": "#bqsr-distr.cwl/bqsr/_output"
                        },
                        {
                            "source": "#bqsr-distr.cwl/shard",
                            "id": "#bqsr-distr.cwl/bqsr/_shard"
                        },
                        {
                            "source": "#bqsr-distr.cwl/advanced_options",
                            "id": "#bqsr-distr.cwl/bqsr/advanced_options"
                        },
                        {
                            "source": "#bqsr-distr.cwl/input_bam",
                            "id": "#bqsr-distr.cwl/bqsr/input_bam"
                        },
                        {
                            "source": "#bqsr-distr.cwl/interval",
                            "id": "#bqsr-distr.cwl/bqsr/interval"
                        },
                        {
                            "source": "#bqsr-distr.cwl/known_sites",
                            "id": "#bqsr-distr.cwl/bqsr/known_sites"
                        },
                        {
                            "source": "#bqsr-distr.cwl/shard",
                            "linkMerge": "merge_flattened",
                            "valueFrom": "${\n  var len = inputs._shard.length;\n  var i = 0;\n  for (; i < len; ++i) {\n     if (self == inputs._shard[i])\n       break;\n  }\n  return inputs._output + \"_part_\" + i + inputs._ext;\n}\n",
                            "id": "#bqsr-distr.cwl/bqsr/output_file"
                        },
                        {
                            "source": "#bqsr-distr.cwl/qcal",
                            "id": "#bqsr-distr.cwl/bqsr/qcal"
                        },
                        {
                            "source": "#bqsr-distr.cwl/reference",
                            "id": "#bqsr-distr.cwl/bqsr/reference"
                        },
                        {
                            "source": "#bqsr-distr.cwl/shard",
                            "id": "#bqsr-distr.cwl/bqsr/shard"
                        },
                        {
                            "source": "#bqsr-distr.cwl/threads",
                            "id": "#bqsr-distr.cwl/bqsr/threads"
                        }
                    ],
                    "out": [
                        "#bqsr-distr.cwl/bqsr/output"
                    ],
                    "scatter": [
                        "#bqsr-distr.cwl/bqsr/shard",
                        "#bqsr-distr.cwl/bqsr/output_file"
                    ],
                    "scatterMethod": "dotproduct",
                    "run": "#bqsr.cwl",
                    "id": "#bqsr-distr.cwl/bqsr"
                },
                {
                    "in": [
                        {
                            "valueFrom": "${ return true; }",
                            "id": "#bqsr-distr.cwl/merge/merge"
                        },
                        {
                            "source": "#bqsr-distr.cwl/output_file",
                            "id": "#bqsr-distr.cwl/merge/output_file"
                        },
                        {
                            "source": "#bqsr-distr.cwl/bqsr/output",
                            "id": "#bqsr-distr.cwl/merge/part_output"
                        },
                        {
                            "source": "#bqsr-distr.cwl/threads",
                            "id": "#bqsr-distr.cwl/merge/threads"
                        }
                    ],
                    "out": [
                        "#bqsr-distr.cwl/merge/output"
                    ],
                    "run": "#bqsr.cwl",
                    "id": "#bqsr-distr.cwl/merge"
                }
            ],
            "id": "#bqsr-distr.cwl"
        },
        {
            "class": "Workflow",
            "doc": "Run BQSR pre+post+plot flow with distribution",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#bqsr-flow-distr.cwl/advanced_options/bqsr",
                                    "type": [
                                        "null",
                                        {
                                            "type": "array",
                                            "items": "string"
                                        }
                                    ]
                                },
                                {
                                    "name": "#bqsr-flow-distr.cwl/advanced_options/bqsr_post",
                                    "type": [
                                        "null",
                                        {
                                            "type": "array",
                                            "items": "string"
                                        }
                                    ]
                                }
                            ]
                        }
                    ],
                    "id": "#bqsr-flow-distr.cwl/advanced_options"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#bqsr-flow-distr.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#bqsr-flow-distr.cwl/known_sites"
                },
                {
                    "type": "string",
                    "id": "#bqsr-flow-distr.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#bqsr-flow-distr.cwl/plot_output_csv_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#bqsr-flow-distr.cwl/plot_output_file"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#bqsr-flow-distr.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#bqsr-flow-distr.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#bqsr-flow-distr.cwl/threads"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#bqsr-flow-distr.cwl/bqsr_plot/output",
                    "id": "#bqsr-flow-distr.cwl/plot_csv_output"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#bqsr-flow-distr.cwl/plot/output",
                    "id": "#bqsr-flow-distr.cwl/plot_output"
                },
                {
                    "type": "File",
                    "outputSource": "#bqsr-flow-distr.cwl/bqsr/output",
                    "id": "#bqsr-flow-distr.cwl/qcal_output"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#bqsr-flow-distr.cwl/advanced_options",
                            "valueFrom": "${ return self ? self.bqsr : []; }\n",
                            "id": "#bqsr-flow-distr.cwl/bqsr/advanced_options"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/input_bam",
                            "id": "#bqsr-flow-distr.cwl/bqsr/input_bam"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/known_sites",
                            "id": "#bqsr-flow-distr.cwl/bqsr/known_sites"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/output_file",
                            "id": "#bqsr-flow-distr.cwl/bqsr/output_file"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/reference",
                            "id": "#bqsr-flow-distr.cwl/bqsr/reference"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/shard",
                            "id": "#bqsr-flow-distr.cwl/bqsr/shard"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/threads",
                            "id": "#bqsr-flow-distr.cwl/bqsr/threads"
                        }
                    ],
                    "out": [
                        "#bqsr-flow-distr.cwl/bqsr/output"
                    ],
                    "run": "#bqsr-distr.cwl",
                    "id": "#bqsr-flow-distr.cwl/bqsr"
                },
                {
                    "in": [
                        {
                            "source": "#bqsr-flow-distr.cwl/bqsr_post/output",
                            "id": "#bqsr-flow-distr.cwl/bqsr_plot/after"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/bqsr/output",
                            "id": "#bqsr-flow-distr.cwl/bqsr_plot/before"
                        },
                        {
                            "source": [
                                "#bqsr-flow-distr.cwl/output_file",
                                "#bqsr-flow-distr.cwl/plot_output_csv_file"
                            ],
                            "valueFrom": "${ if(self[1] != null) return self[1]; else return self[0] + \".csv\"; }",
                            "id": "#bqsr-flow-distr.cwl/bqsr_plot/output_file"
                        },
                        {
                            "valueFrom": "${ return true; }",
                            "id": "#bqsr-flow-distr.cwl/bqsr_plot/plot"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/threads",
                            "id": "#bqsr-flow-distr.cwl/bqsr_plot/threads"
                        }
                    ],
                    "out": [
                        "#bqsr-flow-distr.cwl/bqsr_plot/output"
                    ],
                    "run": "#bqsr.cwl",
                    "id": "#bqsr-flow-distr.cwl/bqsr_plot"
                },
                {
                    "in": [
                        {
                            "source": "#bqsr-flow-distr.cwl/advanced_options",
                            "valueFrom": "${ return self ? self.bqsr_post : []; }\n",
                            "id": "#bqsr-flow-distr.cwl/bqsr_post/advanced_options"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/input_bam",
                            "id": "#bqsr-flow-distr.cwl/bqsr_post/input_bam"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/output_file",
                            "valueFrom": "$(self).post",
                            "id": "#bqsr-flow-distr.cwl/bqsr_post/output_file"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/bqsr/output",
                            "valueFrom": "${ return [ self ]; }",
                            "id": "#bqsr-flow-distr.cwl/bqsr_post/qcal"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/reference",
                            "id": "#bqsr-flow-distr.cwl/bqsr_post/reference"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/shard",
                            "id": "#bqsr-flow-distr.cwl/bqsr_post/shard"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/threads",
                            "id": "#bqsr-flow-distr.cwl/bqsr_post/threads"
                        }
                    ],
                    "out": [
                        "#bqsr-flow-distr.cwl/bqsr_post/output"
                    ],
                    "run": "#bqsr-distr.cwl",
                    "id": "#bqsr-flow-distr.cwl/bqsr_post"
                },
                {
                    "in": [
                        {
                            "valueFrom": "${ return \"bqsr\"; }",
                            "id": "#bqsr-flow-distr.cwl/plot/fun"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/bqsr_plot/output",
                            "id": "#bqsr-flow-distr.cwl/plot/input"
                        },
                        {
                            "source": [
                                "#bqsr-flow-distr.cwl/output_file",
                                "#bqsr-flow-distr.cwl/plot_output_file"
                            ],
                            "valueFrom": "${ if(self[1] != null) return self[1]; else return self[0] + \".pdf\"; }",
                            "id": "#bqsr-flow-distr.cwl/plot/output_file"
                        },
                        {
                            "source": "#bqsr-flow-distr.cwl/threads",
                            "id": "#bqsr-flow-distr.cwl/plot/threads"
                        }
                    ],
                    "out": [
                        "#bqsr-flow-distr.cwl/plot/output"
                    ],
                    "run": "#plot.cwl",
                    "id": "#bqsr-flow-distr.cwl/plot"
                }
            ],
            "id": "#bqsr-flow-distr.cwl"
        },
        {
            "class": "Workflow",
            "doc": "run 2-pass dedup: algo LocusCollector + algo Dedup sequentially in distributed mode",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#dedup-2-pass-distr.cwl/advanced_options/dedup_pre",
                                    "type": [
                                        "null",
                                        {
                                            "type": "array",
                                            "items": "string"
                                        }
                                    ]
                                },
                                {
                                    "name": "#dedup-2-pass-distr.cwl/advanced_options/dedup",
                                    "type": [
                                        "null",
                                        {
                                            "type": "array",
                                            "items": "string"
                                        }
                                    ]
                                }
                            ]
                        }
                    ],
                    "id": "#dedup-2-pass-distr.cwl/advanced_options"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#dedup-2-pass-distr.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "id": "#dedup-2-pass-distr.cwl/interval"
                },
                {
                    "type": "string",
                    "id": "#dedup-2-pass-distr.cwl/metrics_output_file"
                },
                {
                    "type": "string",
                    "id": "#dedup-2-pass-distr.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#dedup-2-pass-distr.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#dedup-2-pass-distr.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#dedup-2-pass-distr.cwl/threads"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#dedup-2-pass-distr.cwl/merge_metrics/output",
                    "id": "#dedup-2-pass-distr.cwl/metrics_output"
                },
                {
                    "type": "File",
                    "outputSource": "#dedup-2-pass-distr.cwl/merge/output",
                    "id": "#dedup-2-pass-distr.cwl/output"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "default": ".bam",
                            "id": "#dedup-2-pass-distr.cwl/dedup/_ext"
                        },
                        {
                            "default": ".dedup_metrics_output_file.txt",
                            "id": "#dedup-2-pass-distr.cwl/dedup/_metrics_ext"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/output_file",
                            "id": "#dedup-2-pass-distr.cwl/dedup/_output"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/shard",
                            "id": "#dedup-2-pass-distr.cwl/dedup/_shard"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/advanced_options",
                            "valueFrom": "${ return self ? self.dedup : []; }\n",
                            "id": "#dedup-2-pass-distr.cwl/dedup/advanced_options"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/input_bam",
                            "id": "#dedup-2-pass-distr.cwl/dedup/input_bam"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/interval",
                            "id": "#dedup-2-pass-distr.cwl/dedup/interval"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/shard",
                            "linkMerge": "merge_flattened",
                            "valueFrom": "${\n  var len = inputs._shard.length;\n  var i = 0;\n  for (; i < len; ++i) {\n     if (self == inputs._shard[i])\n       break;\n  }\n  return inputs._output + \"_part_\" + i + inputs._metrics_ext;\n}\n",
                            "id": "#dedup-2-pass-distr.cwl/dedup/metrics"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/shard",
                            "linkMerge": "merge_flattened",
                            "valueFrom": "${\n  var len = inputs._shard.length;\n  var i = 0;\n  for (; i < len; ++i) {\n     if (self == inputs._shard[i])\n       break;\n  }\n  return inputs._output + \"_part_\" + i + inputs._ext;\n}\n",
                            "id": "#dedup-2-pass-distr.cwl/dedup/output_file"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/reference",
                            "id": "#dedup-2-pass-distr.cwl/dedup/reference"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/dedup_pre/output",
                            "id": "#dedup-2-pass-distr.cwl/dedup/score_info"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/shard",
                            "id": "#dedup-2-pass-distr.cwl/dedup/shard"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/threads",
                            "id": "#dedup-2-pass-distr.cwl/dedup/threads"
                        }
                    ],
                    "out": [
                        "#dedup-2-pass-distr.cwl/dedup/output",
                        "#dedup-2-pass-distr.cwl/dedup/metrics_output"
                    ],
                    "scatter": [
                        "#dedup-2-pass-distr.cwl/dedup/shard",
                        "#dedup-2-pass-distr.cwl/dedup/metrics",
                        "#dedup-2-pass-distr.cwl/dedup/output_file"
                    ],
                    "scatterMethod": "dotproduct",
                    "run": "#dedup.cwl",
                    "id": "#dedup-2-pass-distr.cwl/dedup"
                },
                {
                    "in": [
                        {
                            "default": ".score.gz",
                            "id": "#dedup-2-pass-distr.cwl/dedup_pre/_ext"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/output_file",
                            "id": "#dedup-2-pass-distr.cwl/dedup_pre/_output"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/shard",
                            "id": "#dedup-2-pass-distr.cwl/dedup_pre/_shard"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/advanced_options",
                            "valueFrom": "${ return self ? self.dedup_pre : []; }\n",
                            "id": "#dedup-2-pass-distr.cwl/dedup_pre/advanced_options"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/input_bam",
                            "id": "#dedup-2-pass-distr.cwl/dedup_pre/input_bam"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/shard",
                            "linkMerge": "merge_flattened",
                            "valueFrom": "${\n  var len = inputs._shard.length;\n  var i = 0;\n  for (; i < len; ++i) {\n     if (self == inputs._shard[i])\n       break;\n  }\n  return inputs._output + \"_part_\" + i + inputs._ext;\n}\n",
                            "id": "#dedup-2-pass-distr.cwl/dedup_pre/output_file"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/reference",
                            "id": "#dedup-2-pass-distr.cwl/dedup_pre/reference"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/shard",
                            "id": "#dedup-2-pass-distr.cwl/dedup_pre/shard"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/threads",
                            "id": "#dedup-2-pass-distr.cwl/dedup_pre/threads"
                        }
                    ],
                    "out": [
                        "#dedup-2-pass-distr.cwl/dedup_pre/output"
                    ],
                    "scatter": [
                        "#dedup-2-pass-distr.cwl/dedup_pre/shard",
                        "#dedup-2-pass-distr.cwl/dedup_pre/output_file"
                    ],
                    "scatterMethod": "dotproduct",
                    "run": "#dedup_pre.cwl",
                    "id": "#dedup-2-pass-distr.cwl/dedup_pre"
                },
                {
                    "in": [
                        {
                            "source": "#dedup-2-pass-distr.cwl/dedup/output",
                            "id": "#dedup-2-pass-distr.cwl/merge/input_bam"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/output_file",
                            "id": "#dedup-2-pass-distr.cwl/merge/output_file"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/threads",
                            "id": "#dedup-2-pass-distr.cwl/merge/threads"
                        }
                    ],
                    "out": [
                        "#dedup-2-pass-distr.cwl/merge/output"
                    ],
                    "run": "#bam-merge.cwl",
                    "id": "#dedup-2-pass-distr.cwl/merge"
                },
                {
                    "in": [
                        {
                            "valueFrom": "${ return true; }",
                            "id": "#dedup-2-pass-distr.cwl/merge_metrics/merge"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/metrics_output_file",
                            "id": "#dedup-2-pass-distr.cwl/merge_metrics/output_file"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/dedup/metrics_output",
                            "id": "#dedup-2-pass-distr.cwl/merge_metrics/part_metrics"
                        },
                        {
                            "valueFrom": "${ return false; }",
                            "id": "#dedup-2-pass-distr.cwl/merge_metrics/rmdup"
                        },
                        {
                            "source": "#dedup-2-pass-distr.cwl/threads",
                            "id": "#dedup-2-pass-distr.cwl/merge_metrics/threads"
                        }
                    ],
                    "out": [
                        "#dedup-2-pass-distr.cwl/merge_metrics/output"
                    ],
                    "run": "#dedup.cwl",
                    "id": "#dedup-2-pass-distr.cwl/merge_metrics"
                }
            ],
            "id": "#dedup-2-pass-distr.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#hc-distr.cwl/advanced_options"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#hc-distr.cwl/annotation"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#hc-distr.cwl/call_conf"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#hc-distr.cwl/dbsnp"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#hc-distr.cwl/emit_conf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#hc-distr.cwl/emit_mode"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#hc-distr.cwl/given"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#hc-distr.cwl/gq_bands"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#hc-distr.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "id": "#hc-distr.cwl/interval"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#hc-distr.cwl/min_base_qual"
                },
                {
                    "type": "string",
                    "id": "#hc-distr.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#hc-distr.cwl/pcr_indel_model"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#hc-distr.cwl/phasing"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#hc-distr.cwl/ploidy"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#hc-distr.cwl/prune_factor"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "id": "#hc-distr.cwl/qcal"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#hc-distr.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#hc-distr.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#hc-distr.cwl/threads"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "id": "#hc-distr.cwl/trim_soft_clip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#hc-distr.cwl/merge/output",
                    "id": "#hc-distr.cwl/output"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#hc-distr.cwl/output_file",
                            "id": "#hc-distr.cwl/hc/_output"
                        },
                        {
                            "source": "#hc-distr.cwl/shard",
                            "id": "#hc-distr.cwl/hc/_shard"
                        },
                        {
                            "source": "#hc-distr.cwl/advanced_options",
                            "id": "#hc-distr.cwl/hc/advanced_options"
                        },
                        {
                            "source": "#hc-distr.cwl/annotation",
                            "id": "#hc-distr.cwl/hc/annotation"
                        },
                        {
                            "source": "#hc-distr.cwl/call_conf",
                            "id": "#hc-distr.cwl/hc/call_conf"
                        },
                        {
                            "source": "#hc-distr.cwl/dbsnp",
                            "id": "#hc-distr.cwl/hc/dbsnp"
                        },
                        {
                            "source": "#hc-distr.cwl/emit_conf",
                            "id": "#hc-distr.cwl/hc/emit_conf"
                        },
                        {
                            "source": "#hc-distr.cwl/emit_mode",
                            "id": "#hc-distr.cwl/hc/emit_mode"
                        },
                        {
                            "source": "#hc-distr.cwl/given",
                            "id": "#hc-distr.cwl/hc/given"
                        },
                        {
                            "source": "#hc-distr.cwl/gq_bands",
                            "id": "#hc-distr.cwl/hc/gq_bands"
                        },
                        {
                            "source": "#hc-distr.cwl/input_bam",
                            "id": "#hc-distr.cwl/hc/input_bam"
                        },
                        {
                            "source": "#hc-distr.cwl/interval",
                            "id": "#hc-distr.cwl/hc/interval"
                        },
                        {
                            "source": "#hc-distr.cwl/min_base_qual",
                            "id": "#hc-distr.cwl/hc/min_base_qual"
                        },
                        {
                            "source": "#hc-distr.cwl/shard",
                            "linkMerge": "merge_flattened",
                            "valueFrom": "${\n  var len = inputs._shard.length;\n  var i = 0;\n  for (; i < len; ++i) {\n     if (self == inputs._shard[i])\n       break;\n  }\n  return inputs._output + \"_part_\" + i + \".\" + inputs._output.split(\".\").pop();\n}\n",
                            "id": "#hc-distr.cwl/hc/output_file"
                        },
                        {
                            "source": "#hc-distr.cwl/pcr_indel_model",
                            "id": "#hc-distr.cwl/hc/pcr_indel_model"
                        },
                        {
                            "source": "#hc-distr.cwl/phasing",
                            "id": "#hc-distr.cwl/hc/phasing"
                        },
                        {
                            "source": "#hc-distr.cwl/ploidy",
                            "id": "#hc-distr.cwl/hc/ploidy"
                        },
                        {
                            "source": "#hc-distr.cwl/prune_factor",
                            "id": "#hc-distr.cwl/hc/prune_factor"
                        },
                        {
                            "source": "#hc-distr.cwl/qcal",
                            "id": "#hc-distr.cwl/hc/qcal"
                        },
                        {
                            "source": "#hc-distr.cwl/reference",
                            "id": "#hc-distr.cwl/hc/reference"
                        },
                        {
                            "source": "#hc-distr.cwl/shard",
                            "id": "#hc-distr.cwl/hc/shard"
                        },
                        {
                            "source": "#hc-distr.cwl/threads",
                            "id": "#hc-distr.cwl/hc/threads"
                        },
                        {
                            "source": "#hc-distr.cwl/trim_soft_clip",
                            "id": "#hc-distr.cwl/hc/trim_soft_clip"
                        }
                    ],
                    "out": [
                        "#hc-distr.cwl/hc/output"
                    ],
                    "scatter": [
                        "#hc-distr.cwl/hc/shard",
                        "#hc-distr.cwl/hc/output_file"
                    ],
                    "scatterMethod": "dotproduct",
                    "run": "#hc.cwl",
                    "id": "#hc-distr.cwl/hc"
                },
                {
                    "in": [
                        {
                            "valueFrom": "${ return true; }",
                            "id": "#hc-distr.cwl/merge/merge"
                        },
                        {
                            "source": "#hc-distr.cwl/output_file",
                            "id": "#hc-distr.cwl/merge/output_file"
                        },
                        {
                            "source": "#hc-distr.cwl/hc/output",
                            "id": "#hc-distr.cwl/merge/part_output"
                        },
                        {
                            "source": "#hc-distr.cwl/threads",
                            "id": "#hc-distr.cwl/merge/threads"
                        }
                    ],
                    "out": [
                        "#hc-distr.cwl/merge/output"
                    ],
                    "run": "#hc.cwl",
                    "id": "#hc-distr.cwl/merge"
                }
            ],
            "id": "#hc-distr.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#realign-distr.cwl/advanced_options"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#realign-distr.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#realign-distr.cwl/interval_list"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#realign-distr.cwl/known_sites"
                },
                {
                    "type": "string",
                    "id": "#realign-distr.cwl/output_file"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#realign-distr.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#realign-distr.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#realign-distr.cwl/threads"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#realign-distr.cwl/merge/output",
                    "id": "#realign-distr.cwl/output"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#realign-distr.cwl/realign/output",
                            "id": "#realign-distr.cwl/merge/input_bam"
                        },
                        {
                            "source": "#realign-distr.cwl/output_file",
                            "id": "#realign-distr.cwl/merge/output_file"
                        },
                        {
                            "source": "#realign-distr.cwl/threads",
                            "id": "#realign-distr.cwl/merge/threads"
                        }
                    ],
                    "out": [
                        "#realign-distr.cwl/merge/output"
                    ],
                    "run": "#bam-merge.cwl",
                    "id": "#realign-distr.cwl/merge"
                },
                {
                    "in": [
                        {
                            "default": ".bam",
                            "id": "#realign-distr.cwl/realign/_ext"
                        },
                        {
                            "source": "#realign-distr.cwl/output_file",
                            "id": "#realign-distr.cwl/realign/_output"
                        },
                        {
                            "source": "#realign-distr.cwl/shard",
                            "id": "#realign-distr.cwl/realign/_shard"
                        },
                        {
                            "source": "#realign-distr.cwl/advanced_options",
                            "id": "#realign-distr.cwl/realign/advanced_options"
                        },
                        {
                            "source": "#realign-distr.cwl/input_bam",
                            "id": "#realign-distr.cwl/realign/input_bam"
                        },
                        {
                            "source": "#realign-distr.cwl/interval_list",
                            "id": "#realign-distr.cwl/realign/interval_list"
                        },
                        {
                            "source": "#realign-distr.cwl/known_sites",
                            "id": "#realign-distr.cwl/realign/known_sites"
                        },
                        {
                            "source": "#realign-distr.cwl/shard",
                            "linkMerge": "merge_flattened",
                            "valueFrom": "${\n  var len = inputs._shard.length;\n  var i = 0;\n  for (; i < len; ++i) {\n     if (self == inputs._shard[i])\n       break;\n  }\n  return inputs._output + \"_part_\" + i + inputs._ext;\n}\n",
                            "id": "#realign-distr.cwl/realign/output_file"
                        },
                        {
                            "source": "#realign-distr.cwl/reference",
                            "id": "#realign-distr.cwl/realign/reference"
                        },
                        {
                            "source": "#realign-distr.cwl/shard",
                            "id": "#realign-distr.cwl/realign/shard"
                        },
                        {
                            "source": "#realign-distr.cwl/threads",
                            "id": "#realign-distr.cwl/realign/threads"
                        }
                    ],
                    "out": [
                        "#realign-distr.cwl/realign/output"
                    ],
                    "scatter": [
                        "#realign-distr.cwl/realign/shard",
                        "#realign-distr.cwl/realign/output_file"
                    ],
                    "scatterMethod": "dotproduct",
                    "run": "#realign.cwl",
                    "id": "#realign-distr.cwl/realign"
                }
            ],
            "id": "#realign-distr.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
